Zandronum Chat on our Discord Server Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003920Zandronum[All Projects] Bugpublic2021-11-01 21:082021-12-04 18:15
ReporterRushJet1 
Assigned ToKaminsky 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindows 10OS VersionXP/Vista/7
Product Version3.1-beta 
Target VersionFixed in Version3.1-beta 
Summary0003920: "Connection Interrupted" joining an online game with CL_StartAsSpectator 0
DescriptionIf CL_StartAsSpectator is set to false, the game will make you join the game immediately upon joining the server or upon map change. In Zandro 3.0.1 this works as intended, but in 3.1 this always results in a "Connection Interrupted!" message at the bottom of the screen, which locks out player movement entirely. You can still be fragged, but your corpse will be stuck in the first frame of its death animation. You can fix this by spectating and rejoining.

If CL_StartAsSpectator is true, joining the game does not have this effect. This happens when first joining a server and on map change (join an empty server with 3.1 running to see this). Happens on two different machines.

I put "Random" for reproducibility because it randomly will not do this, but more often than not in my experience it does, something like 80% of the time.
Steps To ReproduceJoin a server with CL_StartAsSpectator false
Attached Files

- Relationships

-  Notes
User avatar (0021826)
Kaminsky (developer)
2021-11-07 20:33

This commit:https://osdn.net/projects/zandronum/scm/hg/zandronum-stable/commits/3e9b2a7c87a85f7ed150bf3f569bc2e2456b2510 [^] should fix the issue.
User avatar (0021846)
Kaminsky (developer)
2021-12-04 18:15

Since there hasn't been any more reports of the "connection interrupted" message appearing if "cl_startasspectator" was disabled upon connecting to a server, it's safe to say the issue has been resolved for good.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2021-11-01 21:08 RushJet1 New Issue
2021-11-01 21:33 Kaminsky Assigned To => Kaminsky
2021-11-01 21:33 Kaminsky Status new => needs review
2021-11-07 20:33 Kaminsky Note Added: 0021826
2021-11-07 20:33 Kaminsky Status needs review => needs testing
2021-12-04 18:15 Kaminsky Note Added: 0021846
2021-12-04 18:15 Kaminsky Status needs testing => resolved
2021-12-04 18:15 Kaminsky Fixed in Version => 3.1-beta
2021-12-04 18:15 Kaminsky Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker